<?php
/*
 * Email Verification 5.0.0
 * http://strikeiron.com/Catalog/ProductDetail.aspx?pv=5.0.0&pn=Email%20Verification
 *
 * Required:
 *
 *  1. PHP 5 with soap extensions
 *  2. A registered StrikeIron account with a userid/password.
 *		To register please visit: http://www.strikeiron.com/Register.aspx
 * 		Then set the $USER_ID and $PASSWORD below
 *
 * To run this script, copy it to a directory on your web server and access with a browser.
 *
 *
 * For additional support:
 *  email: support@strikeiron.com
 *  phone: +1 919-467-4545 opt. 3
 *
 *
 */

$USER_ID = 'Your UserID';
$PASSWORD = 'Your Password';

$WSDL = 'http://ws.strikeiron.com/EmailVerify5?WSDL';

// create client
$client = new SoapClient($WSDL, array('trace' => 1, 'exceptions' => 1));

// create registered user for soap header
$registered_user = array("RegisteredUser" => array("UserID" => $USER_ID,"Password" => $PASSWORD));
$header = new SoapHeader("http://ws.strikeiron.com", "LicenseInfo", $registered_user);

// set soap headers - this will apply to all operations
$client->__setSoapHeaders($header);

try
{
  //Calls VerifyEmail and displayes the result
  VerifyEmail();
}
catch (Exception $ex)
{
	echo $ex->getMessage() . "<br />";
}

function VerifyEmail()
{
  global $client;

  //Set up input parameters for the VerifyEmail operation
  $emailAddress = 'testEmail@domain.com';
  $timeout = '30';

  //set up parameter array
  $params = array("Email" => $emailAddress,
  	          "Timeout" => $timeout,
            );

  //call the web service operation
  $result = $client->__soapCall("VerifyEmail", array($params), null, null, $output_header);

  //show service results
  //Note that these are not all the fields contained in the service
  echo "<h1>VerifyEmail Result:</h1><br />";
  output_Result($result->VerifyEmailResult->ServiceResult);

  //show status info
  echo "<br /><h2>Status Info:</h2><br />";
  output_status_info($result->VerifyEmailResult->ServiceStatus);

  //show subscription info
  echo "<br /><h2>Subscription Info:</h2><br />";
  output_subscription_info($output_header['SubscriptionInfo']);
}


function output_Result( $svcResult )
{
  echo '<table border="1">';
      echo '<tr><td>EMail:</td><td>' . $svcResult->EMail . '</td></tr>';
      echo '<tr><td>Local Part:</td><td>' . $svcResult->LocalPart . '</td></tr>';
      echo '<tr><td>Domain Part:</td><td>' . $svcResult->DomainPart . '</td></tr>';
  echo '</table>';
}

function output_status_info( $status_info )
{
	echo '<table border="1">';
		echo '<tr><td>Status Description</td><td>' . $status_info->StatusDescription . '</td></tr>';
		echo '<tr><td>Status Nbr</td><td>' . $status_info->StatusNbr . '</td></tr>';
	echo '</table>';
}

function output_subscription_info( $subscription_info )
{
	echo '<table border="1">';
		echo '<tr><td>License Status</td><td>' . $subscription_info->LicenseStatus . '</td></tr>';
		echo '<tr><td>License Action</td><td>' . $subscription_info->LicenseAction . '</td></tr>';
		echo '<tr><td>Remaining Hits</td><td>' . $subscription_info->RemainingHits . '</td></tr>';
	echo '</table>';
}

?>
